/******************************************************************************\
|*                                                                            *|
|*          Neurotechnologija Fingerprint Features Extractor 1.0 VF           *|
|*                                                                            *|
|* VFExtractorTypes.h                                                         *|
|* VFExtractor types definition                                               *|
|*                                                                            *|
|* Copyright (C) 2005-2006 Neurotechnologija                                  *|
|*                                                                            *|
\******************************************************************************/

#ifndef VF_EXTRACTOR_TYPES_H_INCLUDED
#define VF_EXTRACTOR_TYPES_H_INCLUDED

#include <NCore.h>

#ifdef N_CPP
extern "C"
{
#endif

typedef enum VfeReturnedImage_
{
	vferiNone = 0,
	vferiBinarized = 1,
	vferiSkeletonized = 2
} VfeReturnedImage;

typedef enum VfeTemplateSize_
{
	vfetsSmall = 0,
	vfetsLarge = 256
} VfeTemplateSize;

#ifdef N_CPP
}
#endif

#endif // !VF_EXTRACTOR_TYPES_H_INCLUDED
