/******************************************************************************\
|*                                                                            *|
|*                        Neurotechnologija Images 2.0                        *|
|*                                                                            *|
|* NRgbImage.h                                                                *|
|* Header file for NRgbImage module                                           *|
|*                                                                            *|
|* Copyright (C) 2005-2006 Neurotechnologija                                  *|
|*                                                                            *|
\******************************************************************************/

#ifndef N_RGB_IMAGE_H_INCLUDED
#define N_RGB_IMAGE_H_INCLUDED

#include "NImage.h"

#ifdef N_CPP
extern "C"
{
#endif

NResult N_API NRgbImageGetPixel(HNImage hImage, NUInt x, NUInt y, NRgb * pValue);
NResult N_API NRgbImageSetPixel(HNImage hImage, NUInt x, NUInt y, const NRgb * pValue);

#ifdef N_CPP
}
#endif

#endif // !N_RGB_IMAGE_H_INCLUDED
