#pragma once

#include "Controls.h"
#include "Threads.h"

const UINT CM_THREAD_FINISHED = CM_START + 100;

class CGUIThread: public CThread
{
private:
	CControl * control;

protected:
	void OnEndExecute(DWORD exitCode);

public:
	CGUIThread(CControl * control = NULL, bool createSuspended = true);

	CControl * get_Control() { return control; }
	void set_Control(CControl * value) { CheckRunning(); control = value; }
	__declspec(property(get = get_Control, put = set_Control)) CControl * Control;
};
