//#if defined(linux) || defined (__LINUX__)
//	#include "linux_include.h"
//#else
	#include "stdafx.h"
//#endif

/*
 * Class:     VeriFinger_VeriFingerWrapper
 * Method:    VFCreateContext
 * Signature: ()I
 */

JNIEXPORT jint JNICALL Java_VeriFinger_VeriFingerWrapper_VFCreateContext
  (JNIEnv * env, jclass)
{
    int res = VFE_OK;

    try
    {
        res = (int) VFCreateContext();
        if VFFailed(res) 
            ThrowVeriFingerException(env, res);
    }
    catch(...)
    {
        ThrowJavaException(env);
    }
    
    return res;
}

/*
 * Class:     VeriFinger_VeriFingerWrapper
 * Method:    VFFreeContext
 * Signature: (I)V
 */

JNIEXPORT void JNICALL Java_VeriFinger_VeriFingerWrapper_VFFreeContext
  (JNIEnv * env, jclass, jint jparam)
{
    try
    {
        int res = VFFreeContext((HVFCONTEXT) jparam);
        if VFFailed(res) 
            ThrowVeriFingerException(env, res);
    }
    catch(...)
    {
        ThrowJavaException(env);
    }
}
